Subject: bug#38498: Fontconfig does not find fonts in non-default profiles

From: Pierre Neidhardt <[email-masked]>
Date: Fri, 06 Dec 2019 19:01:29 +0100

Alex Kost <[email-masked]> writes:

> TBH I don't understand all the problems related to multiple-profiles
> that were discussed and "solved" recently.  I have been using multiple
> profiles for at least 5 years (I don't even have ~/.guix-profile on my
> disk) and I have not had any serious problems, just some small obstacles
> that can be easily overpassed.

The point of multi-profile support is to:

- behave in the most expected way;
- factor the work upstream.

The less time individual users spend on their ad-hoc multi-profile
support, the more time they can spend on other (more productive) things :)

We lose generality in making ~/.guix-profile special.

-- 
Pierre Neidhardt
https://ambrevar.xyz/